commit:     9aaf52255a767b13268c84a6b612dec17339fded
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 13 21:59:11 2020 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sat Jun 13 22:03:03 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9aaf5225

net-libs/glib-networking: bump to 2.62.4 for CVE-2020-13645

Bug: https://bugs.gentoo.org/725880
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 net-libs/glib-networking/Manifest                  |  1 +
 .../glib-networking/glib-networking-2.62.4.ebuild  | 73 ++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/net-libs/glib-networking/Manifest 
b/net-libs/glib-networking/Manifest
index 7701022e928..6da699e3395 100644
--- a/net-libs/glib-networking/Manifest
+++ b/net-libs/glib-networking/Manifest
@@ -1,4 +1,5 @@
 DIST glib-networking-2.60.4.tar.xz 185628 BLAKE2B 
b10fecb88f09c4c33718a923f6ae5790baada485b4dd3637b0ae9bf5f831b74ac4b87fc398eed4c4a88b7069e4c5bc9a58c04ccbffc056648baa58b43d4489a3
 SHA512 
db1019c0fc712c0702679146bdd9490101cec63796792a33c7fc7fe26a85d343cfb11f718601a8d3bd91167505bbe60333cc01999a0496826c31681bb8dd4032
 DIST glib-networking-2.62.3.tar.xz 183996 BLAKE2B 
3841a355fe485f30970ab571fbe7ae73c8351cdcdad5021809fcac4663bca31b309a0921d07b2551c428ac154da2290e377da0299e66b2b099dfb556f387d18b
 SHA512 
6bcf7584a4d97745e980598eb9182ba2e416471455d9c3debc4cbaea07250e395f6d7001af544ce0114a26d726e71e9b420d9756508cda09499016e89f4a6da1
+DIST glib-networking-2.62.4.tar.xz 186004 BLAKE2B 
0fbf41cc916a76d23382eb6ae84316e5328c682c4e440f304a978be897f81778e96a201a19dfdc4bd912c144d4013b4cb6344a2a0031fc2898f4af31ef0b43fa
 SHA512 
cd233eeed7ffb8458f4e0316a08927713899e64ce2654aa34f267ccf09d2516e7dee79012dd9e1488d3e8c0e1795c3525523bf8dc5f82a71c1b202942c38363a
 DIST glib-networking-2.64.0.tar.xz 187708 BLAKE2B 
c80a575a48bd5fd77a53a823e0a1ad98f63f75a1f83990a9ba28bd35b401f867b5be0afb3ce2650855b34e6d5a043b354086620c6c1caeb93feeeddab92292e1
 SHA512 
c5788167c114ab69812d4784912e0e468086f1ba1a8037dffc98466605af3f7a77f7a2666176da260669640bfbdf94ee959878c6297d93fe078d22fc6ff0584c
 DIST glib-networking-2.64.2.tar.xz 189680 BLAKE2B 
efadec24a601b2a93a720444e328e31308ed8e72a96638514d5f8510f8fa9a88b1e58809f4a610baf0c17ff1eccc84cb0e30e12753fa27ecc7b80d03fe2b4967
 SHA512 
b796d3ef82f7ceea1c69a1d4ef7cf09e88ff8e702e93abd37cca4ea2f09650c1bdfdf8d8c57360a4bbafdd8d3cf5f88f0aad668b5ce77b92b60c08b7456ffa12

diff --git a/net-libs/glib-networking/glib-networking-2.62.4.ebuild 
b/net-libs/glib-networking/glib-networking-2.62.4.ebuild
new file mode 100644
index 00000000000..d0c0f27987b
--- /dev/null
+++ b/net-libs/glib-networking/glib-networking-2.62.4.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org gnome2-utils meson multilib-minimal xdg
+
+DESCRIPTION="Network-related giomodules for glib"
+HOMEPAGE="https://git.gnome.org/browse/glib-networking/";
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="+gnome +libproxy +ssl test"
+RESTRICT="!test? ( test )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+       >=dev-libs/glib-2.60.0:2[${MULTILIB_USEDEP}]
+       libproxy? ( >=net-libs/libproxy-0.4.11-r1:=[${MULTILIB_USEDEP}] )
+       >=net-libs/gnutls-3.4.6:=[${MULTILIB_USEDEP}]
+       ssl? ( app-misc/ca-certificates )
+       gnome? ( gnome-base/gsettings-desktop-schemas )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       test? ( sys-apps/dbus )
+"
+
+multilib_src_configure() {
+       local emesonargs=(
+               -Dgnutls=enabled
+               -Dopenssl=disabled
+               $(meson_feature libproxy)
+               $(meson_feature gnome gnome_proxy)
+               -Dinstalled_tests=false
+               -Dstatic_modules=false
+       )
+       meson_src_configure
+}
+
+multilib_src_compile() {
+       meson_src_compile
+}
+
+multilib_src_install() {
+       meson_src_install
+}
+
+multilib_src_test() {
+       dbus-run-session meson test -C "${BUILD_DIR}" || die 'tests failed'
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       multilib_pkg_postinst() {
+               gnome2_giomodule_cache_update \
+                       || die "Update GIO modules cache failed (for ${ABI})"
+       }
+       multilib_foreach_abi multilib_pkg_postinst
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+
+       multilib_pkg_postrm() {
+               gnome2_giomodule_cache_update \
+                       || die "Update GIO modules cache failed (for ${ABI})"
+       }
+       multilib_foreach_abi multilib_pkg_postrm
+}

Reply via email to